PrinceXML PHP5 wrapper converted to follow the PSR-0 standard.

Installs: 19 451

Dependents: 2

Stars: 4

Forks: 2

Open Issues: 2

v1.1.1 2014-07-22 12:32 UTC


Build Status Latest Stable Version Total Downloads License

PrinceXML PHP5 wrapper, converted to follow PSR-0 conventions.


The recommended way to install PrinceXMLPhp is through composer.

Just create a composer.json file for your project:

    "require": {
        "gridonic/princexml-php": "*"

And run these two commands to install it:

$ wget
$ php composer.phar install

Now you can add the autoloader, and you will have access to the library:

require 'vendor/autoload.php';


use PrinceXMLPhp\PrinceWrapper;

$prince = new PrinceWrapper('/path/to/prince/binary');

// for instance methods, see the original library documentation
// @see lib/readme.html


The PrinceXMLPhp wrapper is licensed under the MIT license. The original library from is taken from the Prince Website and subject to the license by YesLogic Pty. Ltd.